USN-2554-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-2554-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-2554-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-2554-1
Related
  • CVE-2014-3591
  • CVE-2014-5270
  • CVE-2015-0837
  • CVE-2015-1606
  • CVE-2015-1607
Published
2015-04-01T13:23:13.982494Z
Modified
2015-04-01T13:23:13.982494Z
Summary
gnupg, gnupg2 vulnerabilities
Details

Daniel Genkin, Lev Pachmanov, Itamar Pipman, and Eran Tromer discovered that GnuPG was susceptible to an attack via physical side channels. A local attacker could use this attack to possibly recover private keys. (CVE-2014-3591)

Daniel Genkin, Adi Shamir, and Eran Tromer discovered that GnuPG was susceptible to an attack via physical side channels. A local attacker could use this attack to possibly recover private keys. (CVE-2015-0837)

Hanno Böck discovered that GnuPG incorrectly handled certain malformed keyrings. If a user or automated system were tricked into opening a malformed keyring, a remote attacker could use this issue to cause GnuPG to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2015-1606, CVE-2015-1607)

In addition, this update improves GnuPG security by validating that the keys returned by keyservers match those requested.

References

Affected packages

Ubuntu:14.04:LTS / gnupg2

Package

Name
gnupg2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.22-3ubuntu1.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gpgsm": "2.0.22-3ubuntu1.3",
            "scdaemon": "2.0.22-3ubuntu1.3",
            "gnupg-agent": "2.0.22-3ubuntu1.3",
            "gnupg2": "2.0.22-3ubuntu1.3",
            "gpgv2": "2.0.22-3ubuntu1.3"
        }
    ]
}

Ubuntu:14.04:LTS / gnupg

Package

Name
gnupg

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.4.16-1ubuntu2.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gnupg": "1.4.16-1ubuntu2.3",
            "gpgv": "1.4.16-1ubuntu2.3",
            "gnupg-curl": "1.4.16-1ubuntu2.3",
            "gnupg-udeb": "1.4.16-1ubuntu2.3",
            "gpgv-udeb": "1.4.16-1ubuntu2.3"
        }
    ]
}